%define name libsigc++
%define version 1.0.0
%define prefix %{_prefix}
%define lib_name sigc++

Summary: Callback system for use in widget libraries, abstract interfaces, and general programming.
Name: libsigc++
Version: %{version}
Release: 1mdk
Copyright: LGPL
Source: %{name}-%{version}.tar.bz2
Url: http://www.ece.ucdavis.edu/~kenelson/libsigc++/
Group: System/Libraries
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
This library implements a full callback system for use in widget libraries,
abstract interfaces, and general programming. Originally part of the Gtk--
widget set, %{name} is now a seperate library to provide for more general use.
It is the most complete library of its kind with the ablity to connect an
abstract callback to a class method, function, or function object. It contains
adaptor classes for connection of dissimilar callbacks and has an ease of use
unmatched by other C++ callback libraries.

Package gtkmm, which is a c++ binding to the famous gtk+ library, uses %{name}.

%package devel
Summary: development tools for %{name}
Group: Development/C++
Requires: %{name}

%description devel
The %{name}-devel package contains the static libraries and header files
needed for development with %{name}.

%package examples
Summary: examples and tests for the Typesafe Signal Framework for C++ 
Group: Development/C++
Requires: %{name}-devel

%description examples
The %{name}-devel package contains source code of example and test
programs for %{name}.

%prep
%setup -q
perl -pi -e 's|\${prefix}|%{prefix}|' README
perl -pi -e 's|PREFIX|%{prefix}|' doc/FAQ

%build
%ifarch alpha
  ARCH_FLAGS="--host=alpha-redhat-linux"
%endif

if [ ! -f configure ]; then
  CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./autogen.sh $ARCH_FLAGS --prefix=%{prefix}
else
  %configure
fi

make

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{prefix}/{{include,lib}/%{lib_name}}
make install INSTALL="%(which install) -p" prefix=$RPM_BUILD_ROOT%{prefix}

cp -a examples tests $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name}
find $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name} -type f|xargs file|fgrep relocatable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name} -type f|xargs file|fgrep executable|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name} -type f|xargs file|fgrep 'shell script'|cut -d: -f1|xargs rm -f
find $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name} -type d -name .libs|xargs rm -rf

for i in $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name}/examples/Makefile $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name}/tests/*/Makefile; do
	rm -f $i.*
	cp -p scripts/tests.Makefile $i
done
for i in $RPM_BUILD_ROOT%{prefix}/lib/%{lib_name}/tests/Makefile; do
	rm -f $i.*
	cp -p scripts/examples.Makefile $i
done

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING.LIB README IDEAS NEWS ChangeLog TODO
%attr(755,root,root) %{prefix}/lib/lib*.so.*

%files devel
%defattr(-,root,root)
%doc doc/*
%{prefix}/bin/*
%{prefix}/include/*
%{prefix}/lib/%{lib_name}/include
%{prefix}/share/aclocal/*
%{prefix}/lib/lib*.so
%{prefix}/lib/*.a
%{prefix}/lib/*.la

%files examples
%defattr(-,root,root)
%{prefix}/lib/%{lib_name}/examples
%{prefix}/lib/%{lib_name}/tests

%changelog
* Sat Apr 15 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.0-1mdk
- 1.0.0 (was released to accompany the release of gtkmm-1.2.0)

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-3mdk
- fixed wrong group for libsigc++-examples.

* Sun Apr  2 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.8.6-2mdk
- fix. now it does work with gtkmm.

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- oops the 0.8.6 release was out

* Mon Mar 06 2000 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs 
- mandrake build

* Sat Dec 25 1999 Herbert Valerio Riedel <hvr@gnu.org>
- fixed typo of mine
- added traditional CUSTOM_RELEASE stuff
- added SMP support

* Thu Dec 23 1999 Herbert Valerio Riedel <hvr@gnu.org>
- adjusted spec file to get tests.Makefile and examples.Makefile from scripts/

* Fri Oct 22 1999 Dmitry V. Levin <ldv@fandra.org>
- split into three packages: %{name}, %{name}-devel and %{name}-examples

* Thu Aug 12 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- updated source field and merged conflicts between revisions.

* Tue Aug 10 1999 Dmitry V. Levin <ldv@fandra.org>
- updated Prefix and BuildRoot fields

* Thu Aug  5 1999 Herbert Valerio Riedel <hvr@hvrlab.dhs.org>
- made sure configure works on all alphas

* Wed Jul  7 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Added autoconf macro for sigc.

* Fri Jun 11 1999 Karl Nelson <kenelson@ece.ucdavis.edu>
- Made into a .in to keep version field up to date 
- Still need to do release by hand

* Mon Jun  7 1999 Dmitry V. Levin <ldv@fandra.org>
- added Vendor and Packager fields

* Sat Jun  5 1999 Dmitry V. Levin <ldv@fandra.org>
- updated to 0.8.0

* Tue Jun  1 1999 Dmitry V. Levin <ldv@fandra.org>
- initial revision
